# Packmangroup: Games/Amusements
# Packmanpackagename: powermanga
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Powermanga - a shoot 'em up game for X</p>
# Packmanpackagedesc_de: <p>Powermanga - ein Ballerspiel f&uuml;r X</p>

%define name      powermanga
%define version   0.79
%define release   0.pm.2

Name:           %{name}
Summary:        Ein arkade 2D Ballerspiel
Summary(de):    An arcade 2D shoot-em-up game
Copyright:      GPL
Group:          Amusements/Games/Action/Arcade
URL:            http://linux.tlk.fr/
Version:        %{version}
Release:        %{release}

Source0:        powermanga.tar.bz2
Source1:        powermanga.desktop
Source2:        powermanga_16x16.png
Source3:        powermanga_22x22.png
Source4:        powermanga_32x32.png
Source5:        powermanga_48x48.png

Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         Packman
Distribution:   SuSE Linux 9.3 (i586)
BuildRoot:      %{_tmppath}/%{name}-root

%description
Powermanga - a shoot 'em up game for X

%description -l de
Powermanga - ein Ballerspiel für X

%prep
%setup -q -n %{name}-%{version}

%build
%configure

%__make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
mv ../games/*powermanga ../games/powermangax
mv ../games/powermangax ../games/powermanga
ln -s ../games/powermanga ./powermanga
%if %suse_version >= 930
mkdir -p %{buildroot}/opt/kde3/share/applications/kde
%else
mkdir -p %{buildroot}/opt/kde3/share/applnk/Games/Arcade
%endif
mkdir -p %{buildroot}/opt/kde3/share/icons/hicolor/16x16/apps
mkdir -p %{buildroot}/opt/kde3/share/icons/hicolor/22x22/apps
mkdir -p %{buildroot}/opt/kde3/share/icons/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/kde3/share/icons/hicolor/48x48/apps
%if %suse_version >= 930
install -m 644 %{SOURCE1} %{buildroot}/opt/kde3/share/applications/kde/
%else
install -m 644 %{SOURCE1} %{buildroot}/opt/kde3/share/applnk/Games/Arcade/
%endif
install -m 644 %{SOURCE2} %{buildroot}/opt/kde3/share/icons/hicolor/16x16/apps/powermanga.png
install -m 644 %{SOURCE3} %{buildroot}/opt/kde3/share/icons/hicolor/22x22/apps/powermanga.png
install -m 644 %{SOURCE4} %{buildroot}/opt/kde3/share/icons/hicolor/32x32/apps/powermanga.png
install -m 644 %{SOURCE5} %{buildroot}/opt/kde3/share/icons/hicolor/48x48/apps/powermanga.png
%if %suse_version > 820
%suse_update_desktop_file -r powermanga Game ArcadeGame
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES COPYING README
%if %suse_version >= 930
/opt/kde3/share/applications/kde/powermanga.desktop
%else
/opt/kde3/share/applnk/Games/Arcade/powermanga.desktop
%endif
/opt/kde3/share/icons/hicolor/16x16/apps/powermanga.png
/opt/kde3/share/icons/hicolor/22x22/apps/powermanga.png
/opt/kde3/share/icons/hicolor/32x32/apps/powermanga.png
/opt/kde3/share/icons/hicolor/48x48/apps/powermanga.png
/usr/games/powermanga*
/var/games/powermanga*
%{_bindir}/powermanga
%{_datadir}/games/powermanga/*
%{_mandir}/powermanga*

%changelog
* Sat Apr 02 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changed desctop-file position for SuSE 9.3
* Mon Aug 02 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.79
* Sat Aug 16 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Added entry into SuSE-Startmenu
* Sat Aug 09 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial spec file

